Bug 586316 - Abort from drain under some session errors
Abort from drain under some session errors
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
All Linux
urgent Severity medium
: 1.3
: ---
Assigned To: Gordon Sim
MRG Quality Engineering
Depends On:
  Show dependency treegraph
Reported: 2010-04-27 05:40 EDT by Gordon Sim
Modified: 2011-08-12 12:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-07-14 13:46:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2010-04-27 05:40:59 EDT
Description of problem:

Certain errors cause an abort from drain

E.g. drain -a "amq.topic; {link:{x-bindings: [{exchange: blah}]}}" 

where blah does not exist

Version-Release number of selected component (if applicable):

r937526 on trunk, present also in beta1 packages (qpid-cpp-client-0.7.935473-1.el5)

How reproducible:


Additional info:

#0  0x0067d424 in __kernel_vsyscall ()
#1  0x001a0781 in raise () from /lib/libc.so.6
#2  0x001a204a in abort () from /lib/libc.so.6
#3  0x07d2d44f in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/libstdc++.so.6
#4  0x07d2b385 in ?? () from /usr/lib/libstdc++.so.6
#5  0x07d2b3c2 in std::terminate() () from /usr/lib/libstdc++.so.6
#6  0x07d2b501 in __cxa_throw () from /usr/lib/libstdc++.so.6
#7  0x00bf64eb in qpid::client::amqp0_10::SessionImpl::execute<qpid::client::amqp0_10::ReceiverImpl::Close> (this=0x8cbc530, f=@0xbfa79eac)
    at ../../src/qpid/client/amqp0_10/SessionImpl.h:108
#8  0x00bf4ece in execute<qpid::client::amqp0_10::ReceiverImpl::Close> (this=<value optimized out>)
    at ../../src/qpid/client/amqp0_10/ReceiverImpl.h:136
#9  qpid::client::amqp0_10::ReceiverImpl::close (this=<value optimized out>) at ../../src/qpid/client/amqp0_10/ReceiverImpl.cpp:76
#10 0x00bd8533 in qpid::messaging::Receiver::close (this=0xbfa79f28) at ../../src/qpid/messaging/Receiver.cpp:44
#11 0x00bfb191 in qpid::client::amqp0_10::SessionImpl::close (this=0x8cbc530) at ../../src/qpid/client/amqp0_10/SessionImpl.cpp:119
#12 0x00bd88a3 in qpid::messaging::Session::close (this=0xbfa79f9c) at ../../src/qpid/messaging/Session.cpp:44
#13 0x00bea22e in qpid::client::amqp0_10::ConnectionImpl::close (this=0x8cbbcd0) at ../../src/qpid/client/amqp0_10/ConnectionImpl.cpp:142
#14 0x00bd4233 in qpid::messaging::Connection::close (this=0xbfa7a0f4) at ../../src/qpid/messaging/Connection.cpp:59
#15 0x0804f169 in main (argc=3, argv=0xbfa7a1d4) at ../../../examples/messaging/drain.cpp:121
Comment 1 Gordon Sim 2010-04-27 10:10:24 EDT
Fixed by r938460.

Note You need to log in before you can comment on or make changes to this bug.